Bug 160785 - netdump manpage not visible
netdump manpage not visible
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: netdump (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Anderson
:
: 124473 (view as bug list)
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-06-17 05:31 EDT by David Grierson
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0037
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 10:53:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch file which removes the copyright character causing man page problems. (595 bytes, application/octet-stream)
2005-06-17 09:35 EDT, David Grierson
no flags Details

  None (edit)
Description David Grierson 2005-06-17 05:31:11 EDT
Description of problem:

The manpage for netdump is not available due to some kind of problem with either
the iconv package or the netdump manpage file itself.

When attempting to view the manpage for netdump I receive the following error:

nbg01-shell-01{0}$ man netdump
iconv: illegal input sequence at position 124

When attempting to directly process the manpage file a similar error occurs:

nbg01-shell-01{0}$ gzip -dc /usr/share/man/man8/netdump.8.gz | nroff -man
iconv: illegal input sequence at position 31

The version of netdump is the latest distributed:

nbg01-shell-01{1}$ rpm -q netdump
netdump-0.7.7-2

The installed RPM files are all verified as per the RPM (except the
configuration file):

nbg01-shell-01{0}$ rpm -V netdump
S.5....T c /etc/sysconfig/netdump
Comment 1 Dave Anderson 2005-06-17 09:02:39 EDT
Works for me:

$ rpm -q netdump
netdump-0.7.7-2
$ rpm -V netdump
S.5....T c /etc/sysconfig/netdump
$ man netdump

NETDUMP-CLIENT(8)               System Programs              NETDUMP-CLIENT(8)

NAME
       netdump - send oops data and memory dumps over the network

SYNOPSIS
       /etc/init.d/netdump {start|stop|status|restart|propagate}

DESCRIPTION
       Loads and configures the netdump kernel modules. Once these are loaded,
       when the kernel crashes it will send the oops message  and  a  dump  of
       physical  memory  to the machine that runs the netdump-server. This can
       then be used to debug the problem using gdb and a kernel image.
...

$ gzip -dc /usr/share/man/man8/netdump.8.gz | nroff -man
NETDUMP-CLIENT(8)               System Programs              NETDUMP-CLIENT(8)



NAME
       netdump - send oops data and memory dumps over the network

SYNOPSIS
       /etc/init.d/netdump {start|stop|status|restart|propagate}

DESCRIPTION
       Loads and configures the netdump kernel modules. Once these are loaded,
       when the kernel crashes it will send the oops message  and  a  dump  of
       physical  memory  to the machine that runs the netdump-server. This can
       then be used to debug the problem using gdb and a kernel image.
...


However, maybe I've got an old version of iconv:

$ iconv --version
iconv (GNU libc) 2.3.2
Copyright (C) 2003 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Written by Ulrich Drepper.
$

What version are you running?
Comment 2 David Grierson 2005-06-17 09:13:54 EDT
Running 0.7.7-2

Appears to work for root but not for my user account but does for other users
... seems to be something in my environment - I will investigate further.

You can close this defect - do you want an update with outcome of environment
investigation?

Apologies for raising this too quickly.
Comment 3 Dave Anderson 2005-06-17 09:20:30 EDT
Not a problem -- looking back, I see another similar report on an earlier
version.

I'm presuming the problem would also happen with the netdump-server man
page as well, and maybe has something to do with the second line in each
page:


.\"             -*-Nroff-*-
.\" Copyright © 2002 Alexander Larsson <alexl@redhat.com>
.\"

That copyright character looks suspicious.  If you were to remove it, does
the problem go away?

Comment 4 David Grierson 2005-06-17 09:35:27 EDT
Created attachment 115611 [details]
patch file which removes the copyright character causing man page problems.
Comment 5 David Grierson 2005-06-17 09:37:51 EDT
Well spotted looks like that's what's causing it - perhaps a problem with nroff
rather than netdump?

nbg01-shell-01{1}$ diff netdump.8 netdump.8.orig
2c2
< .\" Copyright  2002 Alexander Larsson <alexl@redhat.com>
---
> .\" Copyright © 2002 Alexander Larsson <alexl@redhat.com>
Previous exit value was: 1
nbg01-shell-01{1}$ nroff -man netdump.8.orig
iconv: illegal input sequence at position 31
nbg01-shell-01{0}$ nroff -man netdump.8
NETDUMP-CLIENT(8)               System Programs              NETDUMP-CLIENT(8)



NAME
       netdump - send oops data and memory dumps over the network
Comment 6 Dave Anderson 2005-06-17 09:58:26 EDT
Ok fine -- I'll remove it for the next release...

Thanks,
  Dave
Comment 7 Dave Anderson 2005-06-17 10:12:15 EDT
*** Bug 124473 has been marked as a duplicate of this bug. ***
Comment 12 Red Hat Bugzilla 2006-03-15 10:53:57 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0037.html

Note You need to log in before you can comment on or make changes to this bug.